# Generated by Django 4.2.5 on 2024-02-22 14:12

from django.db import migrations, models
import django.db.models.deletion
import openbook_common.validators
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("openbook_common", "0002_linkpreview"),
        ("openbook_common", "0009_linkpreview_icon"),
        ("openbook_insights", "0010_alter_recommendation_comment"),
    ]

    operations = [
        migrations.CreateModel(
            name="Quote",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("quote", models.TextField()),
                ("quote_author", models.CharField(max_length=255)),
                ("quote_author_profession", models.CharField(max_length=255)),
                ("link", models.URLField(validators=[openbook_common.validators.url_safety_validator])),
                (
                    "category",
                    models.CharField(
                        choices=[
                            ("ARTICLE", "Article"),
                            ("VIDEO", "Video"),
                            ("AUDIO", "Audio"),
                            ("SOCIAL_MEDIA", "Social Media"),
                            ("POST", "Post"),
                            ("STUDY", "Study"),
                            ("DONATION_PROJECT", "Donation Project"),
                            ("VOLUNTEERING", "Volunteering"),
                            ("TIP", "Tip"),
                            ("SPACE", "Space"),
                            ("EVENT", "Event"),
                        ],
                        max_length=255,
                    ),
                ),
                ("comment", models.TextField(verbose_name="Why I recommend this content")),
                (
                    "insight",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="quotes",
                        to="openbook_insights.insight",
                    ),
                ),
                (
                    "link_preview",
                    models.ForeignKey(
                        null=True, on_delete=django.db.models.deletion.SET_NULL, to="openbook_common.linkpreview"
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
